## tiff 0.1-0

=== DESCRIPTION ===
Package: tiff
Version: 0.1-0
Title: Read and write TIFF images
Author: Simon Urbanek <Simon.Urbanek@r-project.org>
Maintainer: Simon Urbanek <Simon.Urbanek@r-project.org>
Depends: R (>= 2.9.0)
Description: This package provides an easy and simple way to read,
        write and display bitmap images stored in the TIFF format. It
        can read and write both files and in-memory raw vectors.
License: GPL-2 | GPL-3
SystemRequirements: tiff and jpeg libraries
URL: http://www.rforge.net/tiff/
Packaged: 2012-08-05 01:52:14 UTC; svnuser
Repository: CRAN
Date/Publication: 2012-08-05 06:07:48

## tiff 0.1-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: tiff
-Version: 0.1-0
+Version: 0.1-2
 Title: Read and write TIFF images
 Author: Simon Urbanek <Simon.Urbanek@r-project.org>
 Maintainer: Simon Urbanek <Simon.Urbanek@r-project.org>
@@ -10,6 +10,6 @@
 License: GPL-2 | GPL-3
 SystemRequirements: tiff and jpeg libraries
 URL: http://www.rforge.net/tiff/
-Packaged: 2012-08-05 01:52:14 UTC; svnuser
+Packaged: 2012-08-30 17:56:30 UTC; svnuser
 Repository: CRAN
-Date/Publication: 2012-08-05 06:07:48
+Date/Publication: 2012-08-31 09:22:01

## tiff 0.1-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: tiff
-Version: 0.1-2
+Version: 0.1-3
 Title: Read and write TIFF images
 Author: Simon Urbanek <Simon.Urbanek@r-project.org>
 Maintainer: Simon Urbanek <Simon.Urbanek@r-project.org>
@@ -10,6 +10,6 @@
 License: GPL-2 | GPL-3
 SystemRequirements: tiff and jpeg libraries
 URL: http://www.rforge.net/tiff/
-Packaged: 2012-08-30 17:56:30 UTC; svnuser
+Packaged: 2012-11-05 18:16:57 UTC; svnuser
 Repository: CRAN
-Date/Publication: 2012-08-31 09:22:01
+Date/Publication: 2012-11-05 19:46:56

## tiff 0.1-4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: tiff
-Version: 0.1-3
+Version: 0.1-4
 Title: Read and write TIFF images
 Author: Simon Urbanek <Simon.Urbanek@r-project.org>
 Maintainer: Simon Urbanek <Simon.Urbanek@r-project.org>
@@ -10,6 +10,7 @@
 License: GPL-2 | GPL-3
 SystemRequirements: tiff and jpeg libraries
 URL: http://www.rforge.net/tiff/
-Packaged: 2012-11-05 18:16:57 UTC; svnuser
+Packaged: 2013-02-19 22:58:36 UTC; svnuser
+NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2012-11-05 19:46:56
+Date/Publication: 2013-02-20 07:45:23

## tiff 0.1-7

=== DESCRIPTION ===
Package: tiff
Version: 0.1-7
Title: Read and Write TIFF Images
Author: Simon Urbanek <Simon.Urbanek@r-project.org>
Maintainer: Simon Urbanek <Simon.Urbanek@r-project.org>
Depends: R (>= 2.9.0)
Description: Functions to read, write and display bitmap images stored in the TIFF format. It can read and write both files and in-memory raw vectors, including native image representation.
License: GPL-2 | GPL-3
SystemRequirements: tiff and jpeg libraries
URL: https://www.rforge.net/tiff/
NeedsCompilation: yes
Packaged: 2021-02-04 00:20:38 UTC; svnuser
Repository: CRAN
Date/Publication: 2021-03-02 09:40:02 UTC

## tiff 0.1-8

=== DESCRIPTION ===
Package: tiff
Version: 0.1-8
Title: Read and Write TIFF Images
Author: Simon Urbanek <Simon.Urbanek@r-project.org> [aut, cre],
	Kent Johnson <kjohnson@akoyabio.com> [ctb]
Maintainer: Simon Urbanek <Simon.Urbanek@r-project.org>
Depends: R (>= 2.9.0)
Description: Functions to read, write and display bitmap images stored in the TIFF format. It can read and write both files and in-memory raw vectors, including native image representation.
License: GPL-2 | GPL-3
SystemRequirements: tiff and jpeg libraries
URL: https://www.rforge.net/tiff/
NeedsCompilation: yes
Packaged: 2021-03-31 02:25:33 UTC; svnuser
Repository: CRAN
Date/Publication: 2021-03-31 15:10:02 UTC

## tiff 0.1-10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: tiff
-Version: 0.1-8
+Version: 0.1-10
 Title: Read and Write TIFF Images
 Author: Simon Urbanek <Simon.Urbanek@r-project.org> [aut, cre],
 	Kent Johnson <kjohnson@akoyabio.com> [ctb]
@@ -10,6 +10,6 @@
 SystemRequirements: tiff and jpeg libraries
 URL: https://www.rforge.net/tiff/
 NeedsCompilation: yes
-Packaged: 2021-03-31 02:25:33 UTC; svnuser
+Packaged: 2021-11-05 05:54:07 UTC; rforge
 Repository: CRAN
-Date/Publication: 2021-03-31 15:10:02 UTC
+Date/Publication: 2021-11-05 10:49:36 UTC

## tiff 3.5.4

=== contrib/addtiffo/Makefile ===
#
# If libtiff.a is installed in /usr/lib or /usr/local/lib just point
# LIBTIFF_DIR there.  It doesn't need a full libtiff tree.
#
LIBTIFF_DIR =	../../libtiff
#
CC	=	gcc
CXX	=	gcc
CFLAGS	=	-O -I$(LIBTIFF_DIR)
LIBS	=	$(LIBTIFF_DIR)/libtiff.a -lm

addtiffo:	addtiffo.o tif_overview.o rawblockedimage.o
	$(CXX) $(CFLAGS) addtiffo.o tif_overview.o rawblockedimage.o \
		$(LIBS) -o addtiffo 


addtiffo.o:	addtiffo.c
	$(CC) -c $(CFLAGS) addtiffo.c

tif_overview.o:	tif_overview.cpp
	$(CXX) -c $(CFLAGS) tif_overview.cpp

rawblockedimage.o:	rawblockedimage.cpp
	$(CXX) -c $(CFLAGS) rawblockedimage.cpp

clean:
	rm *.o addtiffo

## tiff 3.8.2-11maemo4%2b0m5

=== debian/changelog ===
tiff (1:3.8.2-11maemo4+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Tue, 21 Jul 2009 18:04:26 +0300

tiff (1:3.8.2-11maemo4) unstable; urgency=low

  * Apply patch: CVE-2009-2285
  * Fixes: NB#124397 - [Patch] libtiff buffer underflow

 -- Aapo Kojo <aapo.kojo@nokia.com>  Mon, 20 Jul 2009 11:06:53 +0300

tiff (1:3.8.2-11maemo3) unstable; urgency=low

  * Fixes NB#88470 (Add debugging symbols package)
  * Set myself as maintainer.
  * Add epoch to avoid conflicts with Diablo package.
  * update rules to cope with the epoch number.

 -- Claudio Saavedra <csaavedra@igalia.com>  Thu, 25 Sep 2008 13:34:39 +0300

tiff (3.8.2-11maemo2) unstable; urgency=medium

  * Fixes NB#88170 (Remove dependency on not provided libtiffxx0c2).
  * Do not install C++ related files.

 -- Claudio Saavedra <csaavedra@igalia.com>  Mon, 08 Sep 2008 11:08:27 +0300

tiff (3.8.2-11maemo1) unstable; urgency=low

  * Constrain to the required packages in maemo.
  * Set Kimmo as the maintainer.
  * Fixes: NB#87837 (CVE-2008-2327)

 -- Claudio Saavedra <csaavedra@igalia.com>  Thu, 04 Sep 2008 15:54:13 +0300

tiff (3.8.2-11) unstable; urgency=high

  * Apply security patches (CVE-2008-2327)
  * Convert patch system to quilt
  * Create README.source
  * Set standards version to 3.8.0

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 17 Aug 2008 13:16:37 -0400

tiff (3.8.2-10+lenny1) testing-security; urgency=high

  * Apply patches from Drew Yao of Apple Product Security to fix
    CVE-2008-2327, a potential buffer underflow in the LZW decoder
    (tif_lzw.c).

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 17 Aug 2008 11:56:01 -0400

tiff (3.8.2-10) unstable; urgency=low

  * Fix segmentation fault on subsequent parts of a file with an invalid
    directory tag.  (Closes: #475489)

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 09 Jun 2008 11:02:53 -0400

tiff (3.8.2-9) unstable; urgency=low

  * Backported tiff2pdf from 4.0.0 beta 2.  This fixes many tiff2pdf bugs,
    though unfortunately none of the ones opened in the debian bug
    database!
  * Added upstream homepage to debian control file.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 07 Jun 2008 22:52:27 -0400

tiff (3.8.2-8) unstable; urgency=low

  * Accepted tmpfile patch tiff2pdf to fix bug that has been fixed
    upstream since upstream release appears stalled.  Thanks Jesse Long.
    (Closes: #419773)
  * Update standards version to 3.7.3; no changes required.
  * ${Source-Version} -> ${binary:Version} in control
  * Split documentation into separate libtiff-doc package.  (Closes:
    #472189)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 22 Mar 2008 12:30:38 -0400

tiff (3.8.2-7+etch1) stable-security; urgency=high

  * Apply patches from Drew Yao of Apple Product Security to fix
    CVE-2008-2327, a potential buffer underflow in the LZW decoder
    (tif_lzw.c).

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 17 Aug 2008 11:56:01 -0400

tiff (3.8.2-7) unstable; urgency=high

  * Replace empty directories in /usr/share/doc with links during package
    upgrade.  (Closes: #404631)

 -- Jay Berkenbilt <qjb@debian.org>  Tue,  2 Jan 2007 15:50:50 -0500

tiff (3.8.2-6) unstable; urgency=high

  * Add watch file
  * Tavis Ormandy of the Google Security Team discovered several problems
    in the TIFF library.  The Common Vulnerabilities and Exposures project
    identifies the following issues:
     - CVE-2006-3459: a stack buffer overflow via TIFFFetchShortPair() in
       tif_dirread.c
     - CVE-2006-3460: A heap overflow vulnerability was discovered in the
       jpeg decoder
     - CVE-2006-3461: A heap overflow exists in the PixarLog decoder
     - CVE-2006-3462: The NeXT RLE decoder was also vulnerable to a heap
       overflow
     - CVE-2006-3463: An infinite loop was discovered in
       EstimateStripByteCounts()
     - CVE-2006-3464: Multiple unchecked arithmetic operations were
       uncovered, including a number of the range checking operations
       deisgned to ensure the offsets specified in tiff directories are
       legitimate.
     - A number of codepaths were uncovered where assertions did not hold
       true, resulting in the client application calling abort()
     - CVE-2006-3465: A flaw was also uncovered in libtiffs custom tag
       support

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 31 Jul 2006 18:14:59 -0400

tiff (3.8.2-5) unstable; urgency=low

  * Fix logic error that caused -q flag to be ignored when doing jpeg
    compression with tiff2pdf.  (Closes: #373102)

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 19 Jun 2006 18:55:38 -0400

tiff (3.8.2-4) unstable; urgency=high

  * SECURITY UPDATE: Arbitrary command execution with crafted TIF files.
    Thanks to Martin Pitt.  (Closes: #371064)
  * Add debian/patches/tiff2pdf-octal-printf.patch:
    - tools/tiff2pdf.c: Fix buffer overflow due to wrong printf for octal
      signed char (it printed a signed integer, which overflew the buffer and
      was wrong anyway).
    - CVE-2006-2193

 -- Jay Berkenbilt <qjb@debian.org>  Wed,  7 Jun 2006 17:52:12 -0400

tiff (3.8.2-3) unstable; urgency=high

  * SECURITY UPDATE: Arbitrary command execution with crafted long file
    names.  Thanks to Martin Pitt for forwarding this.
    Add debian/patches/tiffsplit-fname-overflow.patch:
    - tools/tiffsplit.c: Use snprintf instead of strcpy for copying the
      user-specified file name into a statically sized buffer.
    CVE-2006-2656.  (Closes: #369819)
  * Update standards version to 3.7.2.  No changes required.
  * Moved doc-base information to libtiff4 instead of libtiff4-dev.

 -- Jay Berkenbilt <qjb@debian.org>  Thu,  1 Jun 2006 21:24:21 -0400

tiff (3.8.2-2) unstable; urgency=low

  * Fix build dependencies to get OpenGL utility libraries after new Xorg
    packaging.  (Closes: #365722)
  * Updated standards version to 3.7.0; no changes required to package.



## tiff 3.8.2-11maemo4+0m5

=== debian/control ===
Source: tiff
Section: libs
Priority: optional
Maintainer: Claudio Saavedra <csaavedra@igalia.com>
Build-Depends: cdbs, quilt, debhelper (>= 4.1.0), zlib1g-dev, libjpeg62-dev, libxmu-dev, libxi-dev
Standards-Version: 3.8.0
Homepage: http://libtiff.maptools.org

Package: libtiff4
Architecture: any
Depends: ${shlibs:Depends}
Description: Tag Image File Format (TIFF) library
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 includes the shared library.

Package: libtiff4-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: libtiff4 (= ${binary:Version})
Description: debug symbols for libtiff4
 This contains the debug symbols file for libtiff4.

Package: libtiff4-dev
Section: libdevel
Architecture: any
Depends: libtiff4 (= ${binary:Version}), libc6-dev | libc-dev, zlib1g-dev, libjpeg62-dev
Conflicts: libtiff3g-dev, libtiff3-dev, libtiff-dev
Provides: libtiff-dev
Description: Tag Image File Format library (TIFF), development files
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 includes the development files, static library, and header files.

Package: libtiff-tools
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}
Suggests: libtiff-opengl
Conflicts: libtiff3 (<< 3.4beta037-1), libtiff3-gif
Replaces: libtiff3-gif
Description: TIFF manipulation and conversion tools
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 includes tools for converting TIFF images to and from other formats
 and tools for doing simple manipulations of TIFF images.  See also
 libtiff-opengl.

=== debian/rules ===
#!/usr/bin/make -f

# Variables used by cdbs
VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | \
   cut -f 2 -d ' ' | cut -f 2 -d ':' | cut -f 1 -d '-')
DEB_TAR_SRCDIR = tiff-$(VERSION)
DEB_COMPRESS_EXCLUDE = html
export CPPFLAGS = -D_REENTRANT

# Include cdbs rules files.
include /usr/share/cdbs/1/rules/tarball.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_USER_FLAGS = --with-docdir="\$${prefix}/share/doc/libtiff-doc"

# As 0.4.21, cdbs creates but doesn't remove debian/compat.  It
# creates it conditionally, so this doesn't have a trivial fix.
clean::
	$(RM) debian/compat *.cdbs-config_list
	$(RM) debian/*.preinst

# tiffgt is in libtiff-opengl so libtiff-tools doesn't have to have
# all the X and opengl dependencies.
binary-post-install/libtiff-tools::
	$(RM) debian/libtiff-tools/usr/bin/tiffgt
	$(RM) debian/libtiff-tools/usr/share/man/man1/tiffgt.1*

# Install lintian override files and create preinst
binary-post-install/%::
	if [ -f debian/$*.lintian ]; then \
	    mkdir -p debian/$*/usr/share/lintian/overrides && \
	    cp -p debian/$*.lintian debian/$*/usr/share/lintian/overrides/$*; \
	fi
	if [ "$*" != "libtiff4" ]; then \
	    sed -e s/PKG/$*/g < debian/all-preinst > debian/$*.preinst; \
	fi

## tiff 3.8.2-11maemo5%2b0m5

=== debian/changelog ===
tiff (1:3.8.2-11maemo5+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Fri, 18 Dec 2009 16:33:34 +0200

tiff (1:3.8.2-11maemo5) unstable; urgency=low

  * Apply patch for CVE-2009-2347
  * Fixes: NB#131007 - libtiff integer overflow vulnerability

 -- Shaun McCance <shaun.mccance@collabora.co.uk>  Tue, 15 Dec 2009 10:03:21 -0600

## tiff 3.8.2-11.5

=== debian/changelog ===
tiff (3.8.2-11.5) oldstable-security; urgency=high

  * Redo CVE-2011-0192 to fix a regression.

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 24 Jun 2011 08:10:22 -0400

tiff (3.8.2-11.4) oldstable-security; urgency=high

  * CVE-2011-0191
  * CVE-2011-0192: Buffer overflow in Fax4Decode
  * CVE-2011-1167: Buffer overflow with thunder encoded files

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 02 Apr 2011 12:13:25 -0400

tiff (3.8.2-11.3) stable-security; urgency=high

  * CVE-2010-1411

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 02 Aug 2010 05:33:40 +0000

tiff (3.8.2-11.2) stable-security; urgency=high

  * Revised patch for CVE-2009-2347, new patch for CVE-2009-2285

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 13 Jul 2009 17:12:10 +0000

tiff (3.8.2-11.1) stable-security; urgency=high

  * CVE-2009-2347

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 12 Jul 2009 15:58:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: tiff
 Section: libs
 Priority: optional
-Maintainer: Claudio Saavedra <csaavedra@igalia.com>
-Build-Depends: cdbs, quilt, debhelper (>= 4.1.0), zlib1g-dev, libjpeg62-dev, libxmu-dev, libxi-dev
+Maintainer: Jay Berkenbilt <qjb@debian.org>
+Uploaders: Josip Rodin <joy-packages@debian.org>
+Build-Depends: cdbs, quilt, debhelper (>= 4.1.0), zlib1g-dev, libjpeg62-dev, libxmu-dev, libglu1-mesa-dev, freeglut3-dev, libxi-dev
 Standards-Version: 3.8.0
 Homepage: http://libtiff.maptools.org
 
@@ -14,18 +15,20 @@
  (TIFF), a widely used format for storing image data.  This package
  includes the shared library.
 
-Package: libtiff4-dbg
+Package: libtiffxx0c2
 Architecture: any
-Section: libdevel
-Priority: extra
-Depends: libtiff4 (= ${binary:Version})
-Description: debug symbols for libtiff4
- This contains the debug symbols file for libtiff4.
+Depends: ${shlibs:Depends}
+Conflicts: libtiffxx0
+Replaces: libtiffxx0
+Description: Tag Image File Format (TIFF) library -- C++ interface
+ libtiff is a library providing support for the Tag Image File Format
+ (TIFF), a widely used format for storing image data.  This package
+ includes the shared library for the experimental C++ interfaces.
 
 Package: libtiff4-dev
 Section: libdevel
 Architecture: any
-Depends: libtiff4 (= ${binary:Version}), libc6-dev | libc-dev, zlib1g-dev, libjpeg62-dev
+Depends: libtiff4 (= ${binary:Version}), libtiffxx0c2 (= ${binary:Version}), libc6-dev | libc-dev, zlib1g-dev, libjpeg62-dev
 Conflicts: libtiff3g-dev, libtiff3-dev, libtiff-dev
 Provides: libtiff-dev
 Description: Tag Image File Format library (TIFF), development files
@@ -46,3 +49,23 @@
  includes tools for converting TIFF images to and from other formats
  and tools for doing simple manipulations of TIFF images.  See also
  libtiff-opengl.
+
+Package: libtiff-opengl
+Section: graphics
+Architecture: any
+Depends: ${shlibs:Depends}
+Replaces: libtiff-tools (<< 3.7.0-2)
+Description: TIFF manipulation and conversion tools
+ libtiff is a library providing support for the Tag Image File Format
+ (TIFF), a widely used format for storing image data.  This package
+ contains libtiff tools that depend upon opengl.  It complements the
+ libtiff-tools package, which contains the libtiff tools that don't
+ depend upon opengl.
+
+Package: libtiff-doc
+Section: doc
+Architecture: all
+Description: TIFF manipulation and conversion documentation
+ libtiff is a library providing support for the Tag Image File Format
+ (TIFF), a widely used format for storing image data.  This package
+ contains documentation.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 
 # Variables used by cdbs
-VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | \
-   cut -f 2 -d ' ' | cut -f 2 -d ':' | cut -f 1 -d '-')
+VERSION := $(shell dpkg-parsechangelog | \
+             awk '/Version:/ {print $$2}' | cut -d- -f 1)
 DEB_TAR_SRCDIR = tiff-$(VERSION)
 DEB_COMPRESS_EXCLUDE = html
 export CPPFLAGS = -D_REENTRANT

=== debian/watch ===
version=3
ftp://ftp.remotesensing.org/pub/libtiff/tiff-([\d\.]+).tar.gz

## tiff 3.9.4

=== debian/changelog ===
tiff (3.9.4-5ubuntu6.3) natty-security; urgency=low

  * SECURITY UPDATE: possible arbitrary code execution via heap overflow
    in tiff2pdf.
    - debian/patches/CVE-2012-3401.patch: properly set t2p->t2p_error in
      tools/tiff2pdf.c.
    - CVE-2012-3401

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 16 Jul 2012 09:50:58 -0400

tiff (3.9.4-5ubuntu6.2) natty-security; urgency=low

  * SECURITY UPDATE: possible arbitrary code execution via buffer overflow
    due to type-conversion flaw (LP: #1016324)
    - debian/patches/CVE-2012-2088.patch: check for overflows in
      libtiff/tif_strip.c and libtiff/tif_tile.c.
    - CVE-2012-2088
  * SECURITY UPDATE: possible arbitrary code execution via integer
    overflows in tiff2pdf (LP: #1016324)
    - debian/patches/CVE-2012-2113.patch: check for overflows in
      tools/tiff2pdf.c.
    - CVE-2012-2113

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 04 Jul 2012 10:59:25 -0400

tiff (3.9.4-5ubuntu6.1) natty-security; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    tiffdump
    - debian/patches/CVE-2010-4665.patch: prevent integer overflow in
      tools/tiffdump.c.
    - CVE-2010-4665
  * SECURITY UPDATE: arbitrary code execution via size overflow
    - debian/patches/CVE-2012-1173.patch: use TIFFSafeMultiply in
      libtiff/tif_getimage.c, fix TIFFSafeMultiply in libtiff/tiffiop.h.
    - CVE-2012-1173

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 02 Apr 2012 10:55:03 -0400

tiff (3.9.4-5ubuntu6) natty; urgency=low

  * SECURITY UPDATE: arbitrary code execution via malformed JPEG
    - debian/patches/CVE-2009-5022.patch: check width in
      libtiff/tif_ojpeg.c.
    - CVE-2009-5022

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 20 Apr 2011 13:00:47 -0400

tiff (3.9.4-5ubuntu5) natty; urgency=low

  * SECURITY UPDATE: arbitrary code execution via crafted
    THUNDER_2BITDELTAS data
    - debian/patches/CVE-2011-1167.patch: validate bitspersample and
      make sure npixels is sane in libtiff/tif_thunder.c.
    - CVE-2011-1167

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 30 Mar 2011 12:54:02 -0400

tiff (3.9.4-5ubuntu4) natty; urgency=low

  * Enable multiarch build (LP: #733501)
    - debian/control: update depends for multiarch toolchain
    - debian/*.install: update /usr/lib paths
    - debian/rules:
      - add --libdir to DEB_CONFIGURE_EXTRA_FLAGS
      - update library path for .la files

 -- Kees Cook <kees@ubuntu.com>  Wed, 23 Mar 2011 22:08:57 -0700

tiff (3.9.4-5ubuntu3) natty; urgency=low

  * debian/patches/CVE-2011-0192.patch: update for regression in
    processing of certain CCITTFAX4 files (LP: #731540).
    - http://bugzilla.maptools.org/show_bug.cgi?id=2297

 -- Kees Cook <kees@ubuntu.com>  Mon, 14 Mar 2011 10:41:44 -0700

tiff (3.9.4-5ubuntu2) natty; urgency=low

  * SECURITY UPDATE: denial of service via invalid td_stripbytecount field
    (LP: #597246)
    - debian/patches/CVE-2010-2482.patch: look for missing strip byte
      counts in libtiff/tif_ojpeg.c, tools/tiffsplit.c.
    - CVE-2010-2482
  * SECURITY UPDATE: denial of service via invalid ReferenceBlackWhite
    values
    - debian/patches/CVE-2010-2595.patch: validate values in
      libtiff/tif_color.c.
    - CVE-2010-2595
  * SECURITY UPDATE: denial of service via devide-by-zero (LP: #593067)
    - debian/patches/CVE-2010-2597.patch: properly initialize fields in
      libtiff/tif_strip.c.
    - CVE-2010-2597
    - CVE-2010-2598
  * SECURITY UPDATE: denial of service via out-of-order tags
    - debian/patches/CVE-2010-2630.patch: correctly handle order in
      libtiff/tif_dirread.c.
    - CVE-2010-2630
  * SECURITY UPDATE: denial of service and possible code execution via
    buffer overflow in Fax4Decode
    - debian/patches/CVE-2011-0192.patch: check length in
      libtiff/tif_fax3.h.
    - CVE-2011-0192

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 03 Mar 2011 10:52:21 -0500

tiff (3.9.4-5ubuntu1) natty; urgency=low

  * debian/{control,rules}: enable PIE build for security hardening
    (Closes: #613759).

 -- Kees Cook <kees@ubuntu.com>  Wed, 16 Feb 2011 16:44:31 -0800

tiff (3.9.4-5) unstable; urgency=high

  * Incorporated fix to CVE-2010-3087, a potential denial of service
    exploitable with a specially crafted TIFF file.  (Closes: #600188)

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 17 Oct 2010 16:44:08 -0400

tiff (3.9.4-4) unstable; urgency=high

  * Incorporated fix to CVE-2010-2483, "fix crash on OOB reads in
    putcontig8bitYCbCr11tile".  (Closes: #595064)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 02 Oct 2010 13:17:12 -0400

tiff (3.9.4-3) unstable; urgency=low

  * Updated control file to remove obsolete Conflicts/Replaces for ancient
    packages.
  * Empty dependency_libs in all .la files as part of the .la file.  This
    also resolves the problem of having hard-coded paths in the .la file.
    (Closes: #509016)
  * Updated standards version to 3.9.1.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 14 Aug 2010 16:28:49 -0400

tiff (3.9.4-2) unstable; urgency=high

  * Incorporated patch to fix CVE-2010-2233, which fixes a specific
    failure of tif_getimage on 64-bit platforms.

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 13 Aug 2010 20:16:29 -0400

tiff (3.9.4-1) unstable; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 18 Jun 2010 21:28:11 -0400

tiff (3.9.2-3) unstable; urgency=low

  * Depend on libjpeg-dev instead of libjpeg62-dev.  (Closes: #569242)
  * Change source format to '3.0 (quilt)'
  * Update standards version to 3.8.4.  No changes required.

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 10 Feb 2010 19:20:20 -0500

tiff (3.9.2-2) unstable; urgency=low

  * Include patch from upstream to fix problems with TIFFReadScanline()
    and ycbcr-encoded JPEG images.  (Closes: #510792)
  * Fix some manual page spelling errors found by lintian.



=== debian/control ===
Source: tiff
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jay Berkenbilt <qjb@debian.org>
Uploaders: Josip Rodin <joy-packages@debian.org>
Build-Depends: cdbs (>= 0.4.90ubuntu9), debhelper (>= 8.1.2ubuntu2), zlib1g-dev, libjpeg-dev, libxmu-dev, libglu1-mesa-dev, freeglut3-dev, libxi-dev, hardening-wrapper
Standards-Version: 3.9.1
Homepage: http://libtiff.maptools.org

Package: libtiff4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tag Image File Format (TIFF) library
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 includes the shared library.

Package: libtiffxx0c2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tag Image File Format (TIFF) library -- C++ interface
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 includes the shared library for the experimental C++ interfaces.

Package: libtiff4-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libtiff4 (= ${binary:Version}), libtiffxx0c2 (= ${binary:Version}), libc6-dev | libc-dev, zlib1g-dev, libjpeg-dev
Conflicts: libtiff-dev
Provides: libtiff-dev
Description: Tag Image File Format library (TIFF), development files
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 includes the development files, static library, and header files.

Package: libtiff-tools
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libtiff-opengl
Description: TIFF manipulation and conversion tools
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 includes tools for converting TIFF images to and from other formats
 and tools for doing simple manipulations of TIFF images.  See also
 libtiff-opengl.

Package: libtiff-opengl
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: TIFF manipulation and conversion tools
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 contains libtiff tools that depend upon opengl.  It complements the
 libtiff-tools package, which contains the libtiff tools that don't
 depend upon opengl.

Package: libtiff-doc
Section: doc
Depends: ${misc:Depends}
Architecture: all
Description: TIFF manipulation and conversion documentation
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 contains documentation.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_HARDENING=1
 
 # Variables used by cdbs
 VERSION := $(shell dpkg-parsechangelog | \
@@ -8,12 +10,11 @@
 export CPPFLAGS = -D_REENTRANT
 
 # Include cdbs rules files.
-include /usr/share/cdbs/1/rules/tarball.mk
-include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 
-DEB_CONFIGURE_USER_FLAGS = --with-docdir="\$${prefix}/share/doc/libtiff-doc"
+DEB_CONFIGURE_USER_FLAGS = --with-docdir="\$${prefix}/share/doc/libtiff-doc" \
+	--libdir="\$${prefix}/lib/$(DEB_HOST_MULTIARCH)"
 
 # As 0.4.21, cdbs creates but doesn't remove debian/compat.  It
 # creates it conditionally, so this doesn't have a trivial fix.
@@ -27,6 +28,11 @@
 	$(RM) debian/libtiff-tools/usr/bin/tiffgt
 	$(RM) debian/libtiff-tools/usr/share/man/man1/tiffgt.1*
 
+# Empty dependency_libs from all .la files
+binary-post-install/libtiff4-dev::
+	sed -i "s,^dependency_libs=.*,dependency_libs=''," \
+	   debian/libtiff4-dev/usr/lib/*/*.la
+
 # Install lintian override files and create preinst
 binary-post-install/%::
 	if [ -f debian/$*.lintian ]; then \

## tiff 3.9.5

=== debian/changelog ===
tiff (3.9.5-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable. Remaining changes:
    - Enable multiarch build
      - debian/control: update depends for multiarch toolchain
      - debian/*.install: update /usr/lib paths
      - debian/rules:
        - add --libdir to DEB_CONFIGURE_EXTRA_FLAGS
        - update library path for .la files
    - debian/{control,rules}: enable PIE build for security hardening
  * Dropped patches:
    - CVE-2010-2482.patch: upstream
    - CVE-2010-2595.patch: upstream
    - CVE-2010-2597.patch: upstream
    - CVE-2010-2630.patch: upstream
    - CVE-2011-0192.patch: upstream
    - CVE-2011-1167.patch: upstream
    - CVE-2009-5022.patch: upstream

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 25 May 2011 15:10:36 -0400

tiff (3.9.5-1) unstable; urgency=low

  * New upstream release.  All security patches are fully incorporated
    into this version, as are many other bug fixes.
  * Updated standards version to 3.9.2.  No changes needed.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 16 Apr 2011 13:15:51 -0400

tiff (3.9.4-9) unstable; urgency=high

  * CVE-2011-1167: correct potential buffer overflow with thunder encoded
    files with wrong bitspersample set.  (Closes: #619614)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 02 Apr 2011 10:59:38 -0400

tiff (3.9.4-8) unstable; urgency=low

  * Enable PIE (position independent executable) build for security
    hardening.  Patch from Ubuntu.  (Closes: #613759)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 19 Mar 2011 10:22:32 -0400

tiff (3.9.4-7) unstable; urgency=high

  * Incorporate revised fix to CVE-2011-0192.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 13 Mar 2011 14:33:38 -0400

tiff (3.9.4-6) unstable; urgency=high

  * Incorporated fix to CVE-2011-0192, "Buffer overflow in Fax4Decode".

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 26 Feb 2011 18:44:23 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Jay Berkenbilt <qjb@debian.org>
 Uploaders: Josip Rodin <joy-packages@debian.org>
 Build-Depends: cdbs (>= 0.4.90ubuntu9), debhelper (>= 8.1.2ubuntu2), zlib1g-dev, libjpeg-dev, libxmu-dev, libglu1-mesa-dev, freeglut3-dev, libxi-dev, hardening-wrapper
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://libtiff.maptools.org
 
 Package: libtiff4

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 DEB_TAR_SRCDIR = tiff-$(VERSION)
 DEB_COMPRESS_EXCLUDE = html
 export CPPFLAGS = -D_REENTRANT
+export DEB_BUILD_HARDENING=1
 
 # Include cdbs rules files.
 include /usr/share/cdbs/1/rules/debhelper.mk

## tiff 4.0.0~beta7

=== debian/changelog ===
tiff (4.0.0~beta7-2) experimental; urgency=low

  * Incorporated changes from 3.9.5-2: security hardening and multiarch

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 17 Sep 2011 10:28:53 -0400

tiff (4.0.0~beta7-1) experimental; urgency=low

  * New upstream release including many security fixes and other
    improvements
  * Updated changelog with changes from 3.x series.
  * Updated standards version to 3.9.2.  No changes required.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 16 Apr 2011 13:45:33 -0400

tiff (4.0.0~beta6-3) experimental; urgency=low

  * Incorporated fix to CVE-2010-2483, "fix crash on OOB reads in
    putcontig8bitYCbCr11tile", from 3.9.4-4.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 02 Oct 2010 13:31:41 -0400

tiff (4.0.0~beta6-2) experimental; urgency=low

  * Incorporate changes from 3.9.4-{2,3} including updating standards
    version to 3.9.1 along with associated fixes.  (CVE-2010-2233 was
    already fixed in this version.)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 14 Aug 2010 16:36:44 -0400

tiff (4.0.0~beta6-1) experimental; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 18 Jun 2010 21:42:57 -0400

tiff (4.0.0~beta5-2) experimental; urgency=low

  * Depend on libjpeg-dev instead of libjpeg62-dev.
  * Change source format to '3.0 (quilt)'
  * Update standards version to 3.8.4.  No changes required.

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 10 Feb 2010 19:36:43 -0500

tiff (4.0.0~beta5-1) experimental; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 06 Nov 2009 22:58:07 -0500

tiff (4.0.0~beta4-1) experimental; urgency=low

  * New upstream release.  All debian patches incorporated among many
    other fixes and enhancements.

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 28 Aug 2009 11:30:09 -0400

tiff (4.0.0~beta3-2) experimental; urgency=low

  * Fixed previously incorrect patch to lzw problem.

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 24 Aug 2009 14:45:10 -0400

tiff (4.0.0~beta3-1) experimental; urgency=low

  * New upstream release.  This version is not binary compatible with the
    3.x series, nor is it entirely source compatible, but most
    applications should port easily.

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 21 Aug 2009 13:39:37 -0400

tiff (3.9.5-2) unstable; urgency=low

  * Implemented mulitarch and and PIE build for security hardening by
    integrating the changes from the Ubuntu tiff packages.  Thanks to Marc
    Deslauriers and anyone else who did the actual work.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 17 Sep 2011 10:15:39 -0400

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 DEB_TAR_SRCDIR = tiff-$(VERSION)
 DEB_COMPRESS_EXCLUDE = html
 export CPPFLAGS = -D_REENTRANT
-export DEB_BUILD_HARDENING=1
 
 # Include cdbs rules files.
 include /usr/share/cdbs/1/rules/debhelper.mk
@@ -30,9 +29,9 @@
 	$(RM) debian/libtiff-tools/usr/share/man/man1/tiffgt.1*
 
 # Empty dependency_libs from all .la files
-binary-post-install/libtiff4-dev::
+binary-post-install/libtiff-dev::
 	sed -i "s,^dependency_libs=.*,dependency_libs=''," \
-	   debian/libtiff4-dev/usr/lib/*/*.la
+	   debian/libtiff-dev/usr/lib/*/*.la
 
 # Install lintian override files and create preinst
 binary-post-install/%::
@@ -40,6 +39,6 @@
 	    mkdir -p debian/$*/usr/share/lintian/overrides && \
 	    cp -p debian/$*.lintian debian/$*/usr/share/lintian/overrides/$*; \
 	fi
-	if [ "$*" != "libtiff4" ]; then \
+	if [ "$*" != "libtiff5" ]; then \
 	    sed -e s/PKG/$*/g < debian/all-preinst > debian/$*.preinst; \
 	fi

## tiff 4.0.0

=== debian/changelog ===
tiff (4.0.0-1) experimental; urgency=low

  * New upstream release
  * Enable versioned symbols

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 28 Jan 2012 10:56:23 -0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: tiff
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jay Berkenbilt <qjb@debian.org>
+Maintainer: Jay Berkenbilt <qjb@debian.org>
 Uploaders: Josip Rodin <joy-packages@debian.org>
 Build-Depends: cdbs (>= 0.4.90ubuntu9), debhelper (>= 8.1.2ubuntu2), zlib1g-dev, libjpeg-dev, libxmu-dev, libglu1-mesa-dev, freeglut3-dev, libxi-dev, hardening-wrapper
 Standards-Version: 3.9.2
 Homepage: http://libtiff.maptools.org
 
-Package: libtiff4
+Package: libtiff5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -18,7 +17,7 @@
  (TIFF), a widely used format for storing image data.  This package
  includes the shared library.
 
-Package: libtiffxx0c2
+Package: libtiffxx5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -28,12 +27,13 @@
  (TIFF), a widely used format for storing image data.  This package
  includes the shared library for the experimental C++ interfaces.
 
-Package: libtiff4-dev
+Package: libtiff-dev
+Provides: libtiff5-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libtiff4 (= ${binary:Version}), libtiffxx0c2 (= ${binary:Version}), libc6-dev | libc-dev, zlib1g-dev, libjpeg-dev
-Conflicts: libtiff-dev
-Provides: libtiff-dev
+Depends: ${misc:Depends}, libtiff5 (= ${binary:Version}), libtiffxx5 (= ${binary:Version}), libc6-dev | libc-dev, zlib1g-dev, libjpeg-dev
+Replaces: libtiff4-dev
+Conflicts: libtiff4-dev
 Description: Tag Image File Format library (TIFF), development files
  libtiff is a library providing support for the Tag Image File Format
  (TIFF), a widely used format for storing image data.  This package

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,8 @@
 include /usr/share/cdbs/1/class/autotools.mk
 
 DEB_CONFIGURE_USER_FLAGS = --with-docdir="\$${prefix}/share/doc/libtiff-doc" \
-	--libdir="\$${prefix}/lib/$(DEB_HOST_MULTIARCH)"
+	--libdir="\$${prefix}/lib/$(DEB_HOST_MULTIARCH)" \
+	--enable-ld-version-script
 
 # As 0.4.21, cdbs creates but doesn't remove debian/compat.  It
 # creates it conditionally, so this doesn't have a trivial fix.

## tiff 4.0.2

=== debian/changelog ===
tiff (4.0.2-1ubuntu2) quantal; urgency=low

  * SECURITY UPDATE: possible arbitrary code execution via heap overflow
    in tiff2pdf.
    - debian/patches/CVE-2012-3401.patch: properly set t2p->t2p_error in
      tools/tiff2pdf.c.
    - CVE-2012-3401

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 19 Jul 2012 10:04:36 -0400

tiff (4.0.2-1ubuntu1) quantal; urgency=low

  * debian/control:
    - Have libtiff5-dev Provide libtiff-dev

 -- Michael Terry <mterry@ubuntu.com>  Wed, 11 Jul 2012 15:47:57 -0400

tiff (4.0.2-1) unstable; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 24 Jun 2012 13:45:42 -0400

tiff (4.0.1-8) unstable; urgency=low

  * Call glFlush() in tiffgt to fix display problems.  From
    https://bugs.launchpad.net/ubuntu/+source/tiff/+bug/797166.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 16 Jun 2012 21:20:04 -0400

tiff (4.0.1-7) unstable; urgency=low

  * Add new temporary package libtiff5-alt-dev, which provides libtiff5
    development files in a location that doesn't conflict with
    libtiff4-dev.  See README.Debian for details.

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 24 May 2012 15:24:36 -0400

tiff (4.0.1-6) unstable; urgency=low

  * Include pkg-config files

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 13 May 2012 12:53:38 -0400

tiff (4.0.1-5) unstable; urgency=low

  * Fix shlibs again.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 22 Apr 2012 11:41:44 -0400

tiff (4.0.1-4) unstable; urgency=low

  * Use >= instead of > in shlibs file.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 22 Apr 2012 10:57:02 -0400

tiff (4.0.1-3) unstable; urgency=low

  * Support JBIG now that patents have expired. (Closes: #667835)
  * Support LZMA.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 14 Apr 2012 19:03:04 -0400

tiff (4.0.1-2) unstable; urgency=high

  * Incorporated fix to CVE-2012-1173, a problem in the parsing of the
    TileSize entry, which could result in the execution of arbitrary code
    if a malformed image is opened.
  * Updated standards to 3.9.3

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 06 Apr 2012 10:10:48 -0400

tiff (4.0.1-1) unstable; urgency=low

  * New upstream release
  * Point watch file to new download location

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 20 Feb 2012 09:43:54 -0500

tiff (4.0.0-2) experimental; urgency=low

  * Rename libtiff-dev -> libtiff5-dev to avoid premature transition for
    packages that explicitly depend on libtiff-dev.  At some future time,
    libtiff5-dev will provide or be renamed back to libtiff-dev.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 04 Feb 2012 09:41:19 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: tiff
 Section: libs
 Priority: optional
-Maintainer: Jay Berkenbilt <qjb@debian.org>
-Uploaders: Josip Rodin <joy-packages@debian.org>
-Build-Depends: cdbs (>= 0.4.90ubuntu9), debhelper (>= 8.1.2ubuntu2), zlib1g-dev, libjpeg-dev, libxmu-dev, libglu1-mesa-dev, freeglut3-dev, libxi-dev, hardening-wrapper
-Standards-Version: 3.9.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jay Berkenbilt <qjb@debian.org>
+Build-Depends: cdbs (>= 0.4.106~), debhelper (>> 9), dpkg-dev (>= 1.16.1~), zlib1g-dev, libjpeg-dev, libxmu-dev, libglu1-mesa-dev, freeglut3-dev, libxi-dev, libjbig-dev, liblzma-dev
+Standards-Version: 3.9.3
 Homepage: http://libtiff.maptools.org
 
 Package: libtiff5
@@ -27,17 +27,31 @@
  (TIFF), a widely used format for storing image data.  This package
  includes the shared library for the experimental C++ interfaces.
 
-Package: libtiff-dev
-Provides: libtiff5-dev
+Package: libtiff5-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libtiff5 (= ${binary:Version}), libtiffxx5 (= ${binary:Version}), libc6-dev | libc-dev, zlib1g-dev, libjpeg-dev
-Replaces: libtiff4-dev
-Conflicts: libtiff4-dev
+Depends: ${misc:Depends}, libtiff5 (= ${binary:Version}), libtiffxx5 (= ${binary:Version}), libc6-dev | libc-dev, zlib1g-dev, libjpeg-dev, libjbig-dev, liblzma-dev
+Replaces: libtiff5-alt-dev, libtiff4-dev, libtiff-dev (<< 4.0.0-2)
+Conflicts: libtiff5-alt-dev, libtiff4-dev, libtiff-dev (<< 4.0.0-2)
+Provides: libtiff-dev
 Description: Tag Image File Format library (TIFF), development files
  libtiff is a library providing support for the Tag Image File Format
  (TIFF), a widely used format for storing image data.  This package
  includes the development files, static library, and header files.
+
+Package: libtiff5-alt-dev
+Section: libdevel
+Architecture: any
+Depends: ${misc:Depends}, libtiff5 (= ${binary:Version}), libtiffxx5 (= ${binary:Version}), libc6-dev | libc-dev, zlib1g-dev, libjpeg-dev, libjbig-dev, liblzma-dev
+Conflicts: libtiff5-dev
+Description: Tag Image File Format library (TIFF), alternative development files
+ This package is a temporary package designed to make it possible for
+ packages to use features in libtiff5, such as bigtiff, while still
+ having indirect dependencies on libtiff4-dev.  This package will go
+ away after the release of wheezy.  You should only use it if you have
+ a requirement to have both libtiff5-dev files and libtiff4-dev files
+ installed on your system at the same time.  See README.Debian for
+ additional information.
 
 Package: libtiff-tools
 Section: graphics

=== debian/rules ===
#!/usr/bin/make -f

# Enable all hardening options.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Variables used by cdbs
DEB_COMPRESS_EXCLUDE = html
CPPFLAGS += -D_REENTRANT
export CPPFLAGS

# Include cdbs rules files.
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_USER_FLAGS = --with-docdir="\$${prefix}/share/doc/libtiff-doc" \
	--libdir="\$${prefix}/lib/$(DEB_HOST_MULTIARCH)" \
	--enable-ld-version-script

clean::
	$(RM) *.cdbs-config_list
	$(RM) debian/*.preinst

# tiffgt is in libtiff-opengl so libtiff-tools doesn't have to have
# all the X and opengl dependencies.
binary-post-install/libtiff-tools::
	$(RM) debian/libtiff-tools/usr/bin/tiffgt
	$(RM) debian/libtiff-tools/usr/share/man/man1/tiffgt.1*

# Empty dependency_libs from all .la files
binary-post-install/libtiff5-dev::
	sed -i "s,^dependency_libs=.*,dependency_libs=''," \
	   debian/libtiff5-dev/usr/lib/*/*.la

# Create preinst
binary-post-install/%::
	if [ "$*" != "libtiff5" ]; then \
	    sed -e s/PKG/$*/g < debian/all-preinst > debian/$*.preinst; \
	fi

# --- TEMPORARY -- remove when libtiff5-alt-dev is gone ---
# Also remove debian/libtiff5-alt-dev.*
binary-post-install/libtiff5-alt-dev::
	sed -i "s,^dependency_libs=.*,dependency_libs=''," \
	   debian/libtiff5-alt-dev/usr/lib/*/*.la
	rm -rf debian/libtiff5-alt-dev/usr/share/man
	mkdir debian/libtiff5-alt-dev/usr/include/libtiff5-alt
	mv debian/libtiff5-alt-dev/usr/include/tiff* \
	   debian/libtiff5-alt-dev/usr/include/libtiff5-alt
	LDIR=$(wildcard debian/libtiff5-alt-dev/usr/lib/*); \
	mkdir $$LDIR/libtiff5-alt; \
	mv $$LDIR/lib* $$LDIR/libtiff5-alt; \
	l1=`readlink $$LDIR/libtiff5-alt/libtiff.so`; \
	l2=`readlink $$LDIR/libtiff5-alt/libtiffxx.so`; \
	rm $$LDIR/libtiff5-alt/libtiff*.so; \
	ln -s ../$$l1  $$LDIR/libtiff5-alt/libtiff.so; \
	ln -s ../$$l2  $$LDIR/libtiff5-alt/libtiffxx.so; \
	sed -i "s,\(lib\|include\)dir=\(.*\),\1dir=\2/libtiff5-alt," \
	   $$LDIR/pkgconfig/libtiff-4.pc; \
	sed -i "s,libdir='\(.*\)',libdir='\1/libtiff5-alt'," \
	   $$LDIR/libtiff5-alt/*.la
